Subject: Re: Mark IPW2100 as BROKEN: Fatal interrupt. Scheduling firmware restart.

From: Cyrill Gorcunov <[email-masked]>
Date: Mon, 22 Sep 2008 00:35:03 +0400

[Evgeniy Polyakov - Mon, Sep 22, 2008 at 12:26:56AM +0400]
| On Mon, Sep 22, 2008 at 12:05:18AM +0400, Cyrill Gorcunov ([email-masked]) wrote:
| > Since it's that serious maybe we should change
| > 
| > 		IPW_DEBUG_INFO("%s: Fatal error value: 0x%08X\n",
| > 			       priv->net_dev->name, priv->fatal_error);
| > 
| > to printk(KERN_WARN)? And here is why - as I see now we can't say what
| > exactly is wrong - Evgeniy said he has a suspicious about firmware so
| > this WARNS will be collected by Arjan thru kerneloops and we could not
| > ask users to change debug level and repost problem - oops will have it
| > by default - and if it really firmware problem - firmware engineers could
| > find this _additional_ info usefull and resolve it (probably).
| 
| The only reason for this change is to make a mark at the kerneloops.
| I.e. users know, there is a bug. Developers know, there is a bug.
| Everyone knows that there is a bug, but until it is at the special place
| we look to each other just like there is no bug.
| 
| Here are dumps for example:
| http://www.intellinuxwireless.org/bugzilla/show_bug.cgi?id=245
| 
| Bug existed even with 1.2 firmware and .11 kernel.
| Intel, that's a great marketing slogan: stability everywhere!
| 
| -- 
| 	Evgeniy Polyakov
| 

>>From dump:
> Sep 25 11:31:39 suino wlan0: TX timed out.  Scheduling firmware restart.

yes Evgeniy - all could know that but this register info could help
firmware engineers to distinguish problems (without additional efforts
like ask users to pass debug argument - kerneloops will have it
by default) if there not only one exist. I mean I don't think anyone
would reject additional info about problem ever :)

		- Cyrill -
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html